Loading...
Searching...
No Matches
DijkstraWizardBase< GR, LEN > Class Template Reference

## Detailed Description

template<typename GR, typename LEN>
class lemon::DijkstraWizardBase< GR, LEN >

Default traits class used by DijkstraWizard.

Template Parameters

  GR | The type of the digraph.
  LEN | The type of the length map.

`#include <lemon/dijkstra.h>`

Inheritance diagram for DijkstraWizardBase< GR, LEN >:
[legend]

## Public Member Functions

| DijkstraWizardBase ()
| Constructor.
| DijkstraWizardBase (const GR &g, const LEN &l)
| Constructor.

## Additional Inherited Members

Public Types inherited from DijkstraWizardDefaultTraits< GR, LEN >
typedef GR | Digraph
| The type of the digraph the algorithm runs on.
typedef LEN | LengthMap
| The type of the map that stores the arc lengths.
typedef LEN::Value | Value
| The type of the arc lengths.
typedef DijkstraDefaultOperationTraits< Value > | OperationTraits
| Operation traits for Dijkstra algorithm.
typedef Digraph::template NodeMap< int > | HeapCrossRef
| The cross reference type used by the heap.
typedef BinHeap< Value, typename Digraph::template NodeMap< int >, std::less< Value > > | Heap
| The heap type used by the Dijkstra algorithm.
typedef Digraph::template NodeMap< typename Digraph::Arc > | PredMap
| The type of the map that stores the predecessor arcs of the shortest paths.
typedef NullMap< typename Digraph::Node, bool > | ProcessedMap
| The type of the map that indicates which nodes are processed.
typedef Digraph::template NodeMap< typename LEN::Value > | DistMap
| The type of the map that stores the distances of the nodes.
typedef lemon::Path< Digraph > | Path
| The type of the shortest paths.
Static Public Member Functions inherited from DijkstraWizardDefaultTraits< GR, LEN >
static HeapCrossRef * | createHeapCrossRef (const Digraph &g)
| Instantiates a HeapCrossRef.
static Heap * | createHeap (HeapCrossRef &r)
| Instantiates a Heap.
static PredMap * | createPredMap (const Digraph &g)
| Instantiates a PredMap.
static ProcessedMap * | createProcessedMap (const Digraph &g)
| Instantiates a ProcessedMap.
static DistMap * | createDistMap (const Digraph &g)
| Instantiates a DistMap.

## Constructor & Destructor Documentation

## DijkstraWizardBase() [1/2]

template<typename GR, typename LEN>

DijkstraWizardBase | ( |  | ) |

inline

This constructor does not require parameters, therefore it initiates all of the attributes to `0`.

## DijkstraWizardBase() [2/2]

template<typename GR, typename LEN>

DijkstraWizardBase | ( | const GR & | g,
|  | const LEN & | l )

inline

This constructor requires two parameters, others are initiated to `0`.

Parameters

  g | The digraph the algorithm runs on.
  l | The length map.